Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005796TestLinkDatabase MySQLpublic2013-07-02 06:582013-09-08 17:55
Reportergianmaria 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSCENTOSOS Version6.3 final
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005796: Search test case or string, using search box on menu bar - Database error
DescriptionWhen I search a test cases or a string on the window near to "Events" (logged ad admin) I receive and error "DB Access Error - debug_print_backtrace() OUTPUT START". Under that string I see "Your search delivered no results!". Maybe the functionality works anyway.
Steps To ReproduceEnter a string on the window near to "Events" and click search.
Screenshot attached.
Additional InformationUnder Events I can see a 2 errror logs:

     ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY name' at line 1 - /* Class:tlPlatform - Method: getAllAsMap */ SELECT id, name FROM platforms WHERE testproject_id = ORDER BY name
THE MESSAGE : /* Class:tlPlatform - Method: getAllAsMap */ SELECT id, name FROM platforms WHERE testproject_id = ORDER BY name Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY name' at line 1

and

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - /* Class:testproject - Method: getTestCasePrefix */ SELECT prefix FROM testprojects WHERE id =
THE MESSAGE : /* Class:testproject - Method: getTestCasePrefix */ SELECT prefix FROM testprojects WHERE id = Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql 5.6.10
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon 2013-07-02_0854.png [^] (8,902 bytes) 2013-07-02 06:58

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019221)
fman (administrator)
2013-07-06 08:32

Just for the records you can use the search box present on menu bar just to search for test case external ID. There is a help that pop-ups when you put the mouse OVER the icon.
In addition this box is inizialized with the test project prefix, that IMHO is also a hint for the user.

Other kind use is wrong
(0019222)
fman (administrator)
2013-07-06 09:53

http://gitorious.org/testlink-ga/testlink-code/commit/aba767d381efcec95a8f278c45791c450fb1185e [^]
(0019548)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-07-02 06:58 gianmaria New Issue
2013-07-02 06:58 gianmaria File Added: 2013-07-02_0854.png
2013-07-06 08:19 fman Assigned To => fman
2013-07-06 08:19 fman Status new => acknowledged
2013-07-06 08:30 fman Description Updated View Revisions
2013-07-06 08:32 fman Note Added: 0019221
2013-07-06 09:51 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-07-06 09:51 fman Summary Search test case or string - Database error => Search test case or string, using search box on menu bar - Database error
2013-07-06 09:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-07-06 09:53 fman Note Added: 0019222
2013-07-06 09:53 fman Status acknowledged => resolved
2013-07-06 09:53 fman Resolution open => fixed
2013-07-06 09:53 fman Relationship added child of 0005731
2013-09-08 17:55 fman Note Added: 0019548
2013-09-08 17:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker